#ifndef __label
#define __label

#include <string>
#include "widget.h"

class label : public widget {
	
	std::string text;
	
	int lmb_clicked;
	int move;
	
	int prevx, prevy;
	
	public:
	
		label (const std::string& txt);

		void set_text (const std::string& txt);
		const std::string& get_text () const { return text; }

		void draw ();
		int handle_input ();
		void update ();
	
	
};

#endif
